<% @jobs.each do |job| %>
    <% logger.info "===job===#{job.job_key}" %>
    <% is_fav = FavoriteJob.find_by(job_id: job.job_key, user_id: current_user.id, is_favorite: true).present? %>
    <li class="cell">
        <div class="star_icon_jobs pull-right">
            <a data-toggle="tooltip" data-placement="right" title="Add to Favorite" href="javascript:void(0);" class="fav-icon-jobs fav-icon-jobs-<%= job.job_key %>  <%= is_fav ? 'active' : '' %>" data-job-id="<%= job.job_key %>" id="fav_job" data-job-title="<%= job.job_title %>" data-url="<%= job.url %>" data-company-name="<%= job.company %>"></a>
        </div>
        <a href="<%= job.url %>" target="_blank">
            <h3><%= job.job_title %></h3>
            <% location = (job.city.present? && job.state.present? && job.country.present?) ? "#{job.city}, #{job.state}, #{job.country}" : (job.city.present? && job.country.present? && !job.state.present?) ? "#{job.city}, #{job.country}" : (!job.city.present? && job.state.present? && job.country.present?) ? "#{job.state}, #{job.country}" : job.country  %>
            <p><span><%= job.company %></span><i>.</i><%= location %><i>.</i><%= job.formatted_relative_time %></p>
        </a>
    </li>
<% end %>

<script>
    $(document).ready(function(){
        favorite_jobs()
        remove_favorite_jobs_sidebar()
        $('.cell .star_icon_jobs').hide()
        $('.cell').on('mouseover', function(){
            // alert(1)
            // console.log($(this).children('div.star_icon'));
            $(this).children('div.star_icon_jobs').show()
            // $('.chart-cell .star_icon').show()
        })
        $('.cell').on('mouseout', function(){
            // alert(1)
            $('.cell .star_icon_jobs').hide()
        })
    })
</script>
